@import '../theme';

.bookPage {
  width: auto;
  background: $white-six;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;

  &__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    background: $background-color;
    width: 80%;
    height: 90%;
    padding: 10px
  }

  &__favoriteButton {
    box-sizing: border-box;

    svg {
      margin: 10px;
      width: 24px;
      height: 24px;
      display: block;
      color: $greyish-brown-three;
    }
  }

  &__bookTitle {
    text-decoration-color: $med-grey-txt;
    font-size: 24px;
  }

  &__descr {
    font-size: 18px;
  }

  &__authorLink {
    display: block;
    color: $med-grey-txt;
  }

  &__genreLink {
    display: block;
    color: $med-grey-txt;
    font-size: 14px;
  }

  &__descr {
    color: $med-grey-txt;
    font-size: 16px;
  }

  &__errorText {
    color: $white-eleven;
    margin: 30px;
  }

  .bookPage_colored {
    color: #EA4335;
  }
}